
/**
 * Clase que representa un vehiculo de tipo coche
 */
public class Coche extends Vehiculo
{
    // cilindrada del coche
    private int cilindrada;

    /**
     * Constructor al que le pasamos el color, el numero de serie
     * y la cilindrada
     */
    public Coche(int color, int numSerie, int cilindrada)
    {
        super(color,numSerie);
        this.cilindrada=cilindrada;
    }
        
    /**
     * Obtiene la cilindrada del coche
     */
    public int cilindrada()
    {
        return cilindrada;
    }
        
    /** 
     * Obtener un texto con los datos del vehiculo
     */
    public String aTexto() {
        return super.aTexto()+", cilindrada= "+cilindrada;
    }
    
}
