
/**
 * Clase que representa una coordenada terrestre
 */
public class Coordenada
{
    // atributos privados
    private double lat,lon; // grados
    
    /**
     * Constructor
     */
    public Coordenada(double lat,double lon)
    {
        this.lat=lat;
        this.lon=lon;
    }

    /**
     * Convierte las coordenadas a texto
     */
    public String aTexto()
    {
        return "{"+lat+","+lon+"}";
    }
    
    /**
     * Redefinimos la comparacion, para que compare los contenidos
     */
    @Override
    public boolean equals(Object o) {
        if (o instanceof Coordenada) {
            Coordenada c= (Coordenada) o;
            return this.lat==c.lat && this.lon==c.lon;   
        } else {
            return false;
        }
    }


}
