
/**
 * Interfaz Iterator
 */
public interface Iterator1 <E>
{
    /**
     * Retorna true si el iterador tiene un elemento siguiente
     */
    public boolean hasNext();
    
    /**
     * Retorna el siguiente elemento, y avanza el cursor hacia adelante
     * Lanza NoSuchElementException si no hay siguiente elemento
     */
    public E next();
    
    /**
     * Elimina el elemento previo de la coleccion 
     * Lanza IllegalStateException si no hay elemento previo
     * o si ya se habia borrado desde la ultima llamada a next()
     */
    public void remove();
}
